<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="">
  <xsl:output
   method="xml"
   indent="yes"
   encoding="iso-8859-1"
  />

  <xsl:key name="ratingKey" match="movie" use="@rating"/>
  
  <xsl:template match="/">
    <xsl:variable name="uniqueRatings" select="/denormalizedMovies/movie[generate-id(.)=generate-id(key('ratingKey',@rating))]/@rating"/>
    <moviesGroupedByRating>
      <xsl:for-each select="$uniqueRatings">
        <xsl:sort select="document('movies.xml')/normalizedMovies/ratingLabels/row[@rating_label=current()]/@rating_id" order="ascending" data-type="number"/>
        <xsl:element name="{translate(.,' ','-')}">
          <xsl:attribute name="debugRatingId">
             <xsl:value-of select="document('movies.xml')/normalizedMovies/ratingLabels/row[@rating_label=current()]/@rating_id"/>
          </xsl:attribute>
          <xsl:apply-templates select="key('ratingKey',.)">
            <xsl:sort select="@year" order="ascending" data-type="number"/>
          </xsl:apply-templates>
        </xsl:element>
      </xsl:for-each>
    </moviesGroupedByRating>
  </xsl:template>
  
  <xsl:template match="movie">
    <movie id="{@id}" year="{@year}">
      <xsl:copy-of select="node()"/>
    </movie>
  </xsl:template>

</xsl:stylesheet>
